> ## Documentation Index
> Fetch the complete documentation index at: https://help.standards.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve information about a project (scope: data.read)



## OpenAPI

````yaml /api-reference/schema.yaml get /workspace/{workspace-id}/project/{project-id}
openapi: 3.0.0
info:
  title: Standards API
  description: Access Standards account and project information
  termsOfService: https://standards.site/terms-of-service/
  contact:
    name: Standards Support
    url: https://help.standards.site/
    email: support@standards.site
  version: 0.1.0
servers:
  - url: https://api.standards.site/beta
security: []
paths:
  /workspace/{workspace-id}/project/{project-id}:
    get:
      tags:
        - Project
      summary: 'Retrieve information about a project (scope: data.read)'
      operationId: getProject
      parameters:
        - name: workspace-id
          in: path
          required: true
          description: The identifier for the workspace
          example: z3plqkvf52r
          schema:
            type: string
        - name: project-id
          in: path
          required: true
          description: The identifier for the project in the workspace
          example: 3e95a13e7f1
          schema:
            type: string
      responses:
        '200':
          description: The project information was retrieved successfully
          content:
            application/json:
              schema:
                title: ProjectResponse
                type: object
                required:
                  - workspace
                  - project
                  - name
                  - status
                  - createdAt
                  - updatedAt
                properties:
                  workspace:
                    type: string
                    description: >-
                      The workspace id (matches the workspace-id sent with the
                      request)
                    example: z3plqkvf52r
                  project:
                    type: string
                    description: >-
                      The project id (matches the project-id sent with the
                      request)
                    example: 3e95a13e7f1
                  name:
                    type: string
                    description: The name assigned to the project
                    example: Standards
                  url:
                    type: string
                    description: The url where the published project can be viewed
                    example: https://brand.standards.site
                  status:
                    type: string
                    enum:
                      - Draft
                      - Changed
                      - UpToDate
                      - Processing
                    description: >
                      The published state of the project.

                      - `Draft`: The project has not yet been published (or was
                      unpublished)

                      - `Changed`: The project is published but there are
                      unpublished changes

                      - `Published`: The project is published with no
                      unpublished changes

                      - `Processing`: The project is in the process of being
                      copied
                    example: Changed
                  createdAt:
                    type: string
                    format: date-time
                    description: >-
                      The date and time when the project was created (ISO8601
                      format)
                    example: '2026-02-11T18:25:43.000Z'
                  updatedAt:
                    type: string
                    format: date-time
                    description: >-
                      The date and time when the project was last updated
                      (ISO8601 format)
                    example: '2026-03-10T12:14:57.000Z'
                  publishedAt:
                    type: string
                    format: date-time
                    description: >-
                      The date and time when the project was last published
                      (ISO8601 format)
                    example: '2026-03-08T03:40:29.000Z'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/UnauthorizedRequest'
        '403':
          $ref: '#/components/responses/ForbiddenRequest'
        '404':
          $ref: '#/components/responses/NotFoundRequest'
        '429':
          $ref: '#/components/responses/TooManyWorkspaceRequests'
      security:
        - bearerAuth: []
components:
  responses:
    BadRequest:
      description: The request is invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: invalid_request
            error_description: workspace-id is required
    UnauthorizedRequest:
      description: The request does not have valid authentication.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: invalid_client
            error_description: The client credentials are invalid
    ForbiddenRequest:
      description: The client does not have authorization to make the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: access_denied
            error_description: The scope 'projects.read' is required to access this resource
    NotFoundRequest:
      description: The requested endpoint or resource could not be found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: not_found
            error_description: The project has not been published
    TooManyWorkspaceRequests:
      description: >-
        The number of API requests made to the workspace has exceeded the
        allowed threshold.
  schemas:
    ErrorResponse:
      type: object
      description: The response format used for all errors.
      required:
        - error
      properties:
        error:
          type: string
          description: An error code indicating why the request failed.
        error_description:
          type: string
          description: Additional details on the reason for the error.
        error_uri:
          type: string
          description: The URL where documentation for the Standards API can be found.
          example: https://help.standards.site/api
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````